; General settings
;------------------

[Setup]
EntryBase=HKCU,Software\Mort\MortPlayer
DLL=mpconfig.dll

NotifyExe=mortplayer.exe
NotifyWindow=MortPlayer
NotifyMessage=42

[Backup]
FileName = MortPlayer
SkipSections = Notifications|Restore|TrackInfo
SkipEntries = Directories,LastDirectoryUpdate|Effects,Recent|Remote,Wnd|Remote,Path|Remote,Playlist|Remote,Track*|Remote,State*|Remote,NextTrack
Files = *.mdl|*.mdl.abm|effects.data|bookmarks.data|streams.data

; Main menu
;-----------

[Main]

Instructions=text152

Label=text521
Type=Sub|ButtonsEnergy
Description=text610

Label=text472
Type=Sub|ProgStartExit
Description=text611

Label=text104
Type=Sub|Display
Description=text612

Label=text522
Type=Sub|Dialogs
Description=text613

Label=text478
Type=Sub|OpenFavorites
Description=text479

Label=text523
Type=Sub|PlaybackSystem
Description=text614

Label=text482
Type=Sub|GeneralHandling
Description=text109

Label=text126
Type=Sub|AlarmClock
Description=text127

Label=text480
Type=Sub|Extras
Description=text600

; Buttons, Energy
;----------------

[ButtonsEnergy]
Instructions=text521

Label=text386
Entry=Buttons,UseAppButtons
Type=YesNo
Default=0
Help=text387

Label=text388
Entry=Buttons,AppButtonsBg
Type=YesNo
Default=0
DependsEntry=Buttons,UseAppButtons
DependsType=num|0|=|1
Help=text389

Label=text390
Description=text609
Type=DllExtended|ExtButtons

Label=text317
Entry=Settings,ScreenOffTimeout
Type=SelData|text318=0|text319=1|text320=2|text321=6|text322=12|text323=24|text324=60
Default=0
Help=text325

Label=text512
Entry=Settings,ScreenOffType
Type=SelData|text514=1|text515=2|text516=3|text517=4
Default=2
Help=text513

Label=text330
Entry=Buttons,Lock
Type=SelDllData|ListButtons
Default=0
DependsEntry=Settings,ScreenOffType
DependsType=num|0|in|3|4
Help=text331

Label=text332
Entry=Buttons,LockTap
Type=YesNo
Default=1
Help=text333
DependsEntry=Settings,ScreenOffType
DependsType=num|0|in|3|4

Label=text300
Entry=Settings,KeepAlive
Type=SelData|text301=0|text302=1|text303=2|text304=3
Default=1
Help=text305

Label=text510
Entry=Sleep,AutoSwitchOff
Type=Range|0|180|30
Default=0
Help=text511

Label=text603
Type=Sub|Microdrives
Description=text615

[ProgStartExit]
Instructions=text472

Label=text167
Description=text168
Entry=Settings,StartModeTmp
Default=3
Type=SelData|text169=0|text170=3|text467=5|text171=7
Help=text173

Label=text174
Description=text175
Entry=Settings,AutoPlayTmp
Type=YesNo
Default=0
DependsEntry=Settings,StartModeTmp
DependsType=0|!=|0

Label=text176
Entry=Settings,ContinueTrack
Type=YesNo
Default=1
Description=text177

Label=text178
Entry=Settings,ContinuePos
Type=YesNo
Default=0
DependsEntry=Settings,ContinueTrack
DependsType=num|1|=|1
Description=text179

Label=text186
Entry=Settings,FavUpd
Type=SelIdx|text187|text188|text189
Default=2
Description=text190
Help=text191

Label=text605
Type=Sub|Volume
Description=text608

Label=text606
Type=Sub|ProgStartExitAdv
Description=text600

[Volume]
Instructions=text605

Label=text180
Entry=Settings,InitSysVolumeNoChange
Type=YesNo
Default=1
Description=text181

Label=text182
Description=text183
Entry=Settings,InitSysVolume
Type=Slider|0|255
Default=128
DependsEntry=Settings,InitSysVolumeNoChange
DependsType=num|1|=|0

Label=text184
Entry=Settings,InitRelPreamp
Description=text185
Type=Slider|0|255
Default=204

Label=text202
Description=text203
Entry=Settings,ExitSysVolumeNoChange
Type=SelData|text204=1|text205=0|text206=2
Default=1
Help=text207

Label=text208
Description=text209
Entry=Settings,ExitSysVolume
Type=Slider|0|255
Default=128
DependsEntry=Settings,ExitSysVolumeNoChange
DependsType=num|1|=|0

[ProgStartExitAdv]
Instructions=text606

Label=text192
Entry=Settings,SavePreset
Type=YesNo
Default=1
Description=text193

Label=text194
Description=text195
Entry=Settings,StartupEffect
Type=SelDllData|ListPresets
DependsEntry=Settings,SavePreset
DependsType=num|1|=|0
Default=-1

Label=text196
Entry=Settings,LockComPort
Type=SelIdx|text197|text198|text199
Default=0
Description=text200
Help=text201

Label=text212
Entry=Settings,SuppressClose
Type=YesNo
Default=0
Help=text213

Label=text210
Entry=Settings,ExitQuestion
Type=YesNo
Default=1
Help=text211

; Display
;---------

[Display]

Instructions=text161

Label=text552
Description=text553
Entry=Settings,ShowTray
Type=YesNo
Default=1

Label=text287
Description=text288
Entry=Skin,Skin
Type=SelDllString|ListSkins
Default=Night
DependsEntry=Skin,Extended
DependsType=num|0|=|0
Help=text289

Label=text290
Description=text291
Help=text292
Entry=Skin,Screen
Type=SelDllData|ListScreens
Default=1
DependsEntry=Skin,Extended
DependsType=num|0|=|0

Label=text456
Description=text457
Entry=Skin,AfterSelection
Type=SelIdx|text458|text459|text460|text573|text574|text575
Default=3

Label=text601
Type=Sub|DisplayAdv
Description=text600

[DisplayAdv]
Instructions=text601

Label=text282
Description=text283
Entry=Skin,Extended
Type=YesNo
Help=text284
Default=0

Label=text285
Description=text286
Type=DllExtended|ExtScreens
DependsEntry=Skin,Extended
DependsType=num|0|=|1

Label=text293
Entry=Skin,UseImages
Type=YesNo
Default=1
Help=text294

Label=text295
Entry=Skin,DelImages
Type=YesNo
Default=0
Help=text296
DependsEntry=Skin,UseImages
DependsType=num|1|=|1

Label=text297
Entry=Settings,PlaylistFont
Type=Font|text533
Default=|10|1|0

Label=text298
Entry=Settings,Scrolling
Type=YesNo
Default=1
Help=text299

; Open stuff
;------------

[OpenFavorites]
Instructions=text478

Label=text350
Description=text351
Entry=Settings,DefaultSorting
Type=SelData|text352=0|text353=1|text354=2|text355=3|text356=4|text357=5|text358=6|text359=7|text360=8|text361=9|text362=10|text363=11|text364=12
Default=0
Help=text365

Label=text578
Description=text579
Entry=Settings,PlaylistDisplay
Type=SelData|text581=0|text582=1|text583=2
Default=0
Help=text580

Label=text584
Description=text585
Entry=Settings,PlaylistDisplayStyle
Type=SelData|text587=0|text588=1|text589=2|text590=10|text591=11|text592=12
Default=1
DependsEntry=Settings,PlaylistDisplay
DependsType=num|0|!=|0

Label=text366
Description=text367
Type=DllExtended|ExtOpenDlg

Label=text465
Description=text466
Entry=Settings,StartfileSelect
Type=YesNo
Default=1

Label=text348
Description=text349
Entry=Settings,AutoPlay
Type=YesNo
Default=1

Label=text554
Entry=Settings,UseChanger
Type=YesNo
Default=1
Help=text555

Label=text483
Type=Sub|AudioBooks
Description=text484

Label=text619
Type=Sub|OpenAdvanced
Description=text600

[OpenAdvanced]
Instructions = text619

Label=text334
Entry=Settings,DirDefault
Type=SelData|text216=5|text336=1|text337=2|text338=3|text339=4|text335=0
Default=5
Help=text556

Label=text341
Entry=Settings,SubDirDefault
Type=SelData|text342=0|text343=2|text344=5|text345=1|text346=3
Default=0
Help=text347

Label=text368
Entry=Settings,OpenCommand
Type=SelData|text369=0|text370=1|text371=2|text372=6|text373=3|text374=4|text375=5
Default=0
Help=text376

Label=text377
Entry=Settings,OpenTnhCommand
Type=SelData|text378=6|text379=3|text380=4|text381=5|text382=0|text383=1|text384=2
Default=3
Help=text385

[AudioBooks]
Instructions = text483

Label=text561
Description=text562
Entry=Settings,AutoBookmarkIgnoreMan
Default=1
Type=SelData|text565=0|text566=1|text567=2|text568=3
Help=text569

Label=text563
Description=text564
Entry=Settings,AutoBookmarkIgnoreAuto
Default=2
Type=SelData|text565=0|text566=1|text567=2|text568=3
Help=text569

Label=text269
Description=text270
Entry=Settings,AutoBookmarkRewind
Type=Range|0|30
Default=0
Help=text271

Label=text570
Description=text571
Entry=Settings,AutosaveTimespan
Type=SelData|text301=0|text319=5|text320=10|text321=30|text322=60|text323=120|text324=300
Default=60
Default=0
Help=text572

Label=text485
Description=text486
Help=text487
Entry=Settings,AutoBookmarkMinDiff
Type=Range|0|120|5
Default=10

Label=text488
Help=text489
Entry=Settings,AutoBookmarkLastFileOnly
Type=YesNo
Default=0

Label=text490
Help=text491
Entry=Settings,AutoBookmarkSetBack
Type=YesNo
Default=1

[Dialogs]
Instructions=text522

Label=text210
Entry=Settings,ExitQuestion
Type=YesNo
Default=1
Help=text211

Label=text456
Description=text457
Entry=Skin,AfterSelection
Type=SelIdx|text458|text459|text460
Default=0

Label=text461
Description=text462
Entry=Settings,OverwriteMode
Type=SelIdx|text463|text464
Default=1

Label=text276
Entry=Settings,SelDialogs
Type=YesNo
Default=0
Help=text277

Label=text278
Entry=Settings,SelFxDialog
Type=YesNo
Default=1
Help=text279

Label=text280
Entry=Settings,SwitchScreen
Type=YesNo
Default=1
Help=text281

Label=text366
Description=text367
Type=DllExtended|ExtOpenDlg

; Playback
;----------

[PlaybackSystem]
Instructions=text523

Label=text392
Description=text393
Type=DllExtended|ExtAssociations

Label=text604
Type=Sub|Associations
Description=text616

Label=text128
Description=text129
Type=DllExtended,ExtPlugIns

Label=text557
Entry=Settings,CallContinue
Type=YesNo
Default=1
Help=text558

Label=text559
Entry=Settings,CallContinueDelay
Type=Range|0|30
Default=3
Help=text560

Label=text256
Entry=Settings,RepeatTrackMult
Type=YesNo
Default=0
Help=text257

Label=text258
Entry=Settings,ContinueShuffle
Type=YesNo
Default=0
Help=text259

Label=text534
Entry=Settings,ID3Encoding
Type=SelData|text536=0|text537=1252|text548=1250|text549=1251|text545=1253|text546=1254|text547=1257|text543=1255|text544=1256|text538=932|text541=936|text542=950|text550=874|text539=949|text540=1361|text551=65001
Default=0
Help=text535

Label=text114
Type=Sub|ShuffRep
Description=text617

Label=text607
Type=Sub|Streaming
Description=text618

Label=text602
Type=Sub|PlaybackAdv
Description=text600

Label=text603
Type=Sub|Microdrives
Description=text615

[Streaming]
Instructions=text607

Label=text147
Description=text148
Entry=Settings,Proxy
Type=Text
Help=text149

Label=text142
Description=text143
Entry=Settings,BufferSizeStr
Type=Range|200|5000|50
Default=3000
Help=text144

Label=text145
Description=text146
Entry=Settings,PreBufferStreaming
Type=Slider|0|100
Default=80

Label=text150
Description=text151
Entry=Settings,ConnectTimeout
Type=SelData|1=1000000|2=2000000|5=5000000|10=10000000|15=15000000|30=30000000
Default=15000000
Help=text158

Label=text159
Description=text160
Entry=Settings,ReceiveTimeout
Type=SelData|1=1000000|2=2000000|5=5000000|10=10000000|15=15000000|30=30000000
Default=5000000

[Associations]
Instructions=text166

Label=text394
Entry=Settings,AppendAssociatedFiles
Type=YesNo
Default=1
Help=text395

Label=text396
Entry=Settings,PlayAssociatedFiles
Type=YesNo
Default=1
Help=text397

Label=text398
Entry=Settings,DontSkipWhenPlaying
Type=YesNo
Default=1
DependsEntry=Settings,PlayAssociatedFiles
DependsType=num|1|=|1
Help=text399

Label=text400
Entry=Settings,MDLShuffle
Type=SelData|text401=0|text402=2
Default=2

[PlaybackAdv]
Instructions=text602

Label=text530
Entry=Settings,BackgroundFetch
Type=YesNo
Default=1
Description=text531
Help=text532

Label=text135
Entry=Settings,Priority
Type=SelData|text136=1|text137=2|text138=3|text139=4
Default=2
Description=text140
Help=text141

Label=text130
Description=text131
Entry=Settings,BufferSize
Type=Range|200|1000|50
Default=750
Help=text132

Label=text133
Description=text134
Entry=Settings,PreBuffer
Type=Slider|0|100
Default=50

[Microdrives]
Instructions=text603

Label=text492
Entry=Settings,PreBufferActive
Type=YesNo
Default=0
Help=text493

Label=text494
Entry=Settings,PreBufferMaxSize
Type=SelData|text496=16|text497=32|text498=48|text499=64|text500=80|text501=96|text502=128|text503=160
Default=64
DependsEntry=Settings,PreBufferActive
DependsType=num|0|=|1
Help=text495

Label=text504
Entry=Settings,PreBufferMinSize
Type=SelData|text506=2|text507=4|text508=8|text509=12
Default=4
DependsEntry=Settings,PreBufferActive
DependsType=num|0|=|1
Help=text505

Label=text306
Description=text307
Entry=Settings,PreCopy
Type=YesNo
Default=0
Help=text308

Label=text309
Description=text310
Entry=Settings,PreCopyBg
Type=YesNo
Default=0
DependsEntry=Settings,PreCopy
DependsType=num|0|=|1
Help=text311

Label=text312
Description=text313
Entry=Settings,PreCopyPath
Type=Directory|0|text454
DependsEntry=Settings,PreCopy
DependsType=num|0|=|1
Help=text314

; Handling
;----------

[GeneralHandling]

Instructions=text157

Label=text265
Entry=Settings,SingleClickSkip
Type=YesNo
Default=0
Help=text266

Label=text267
Description=text268
Entry=Settings,SpoolTime
Type=Range|2|120
Default=5

Label=text274
Entry=Settings,RelativePreamp
Type=YesNo
Default=1
Help=text275

Label=text272
Entry=Settings,SwapVolSliders
Type=YesNo
Default=0
Help=text273

; alarm clock
;-------------

[AlarmClock]

Instructions = text452

Label=text430
Entry=Sleep,WakeDelay
Type=Range|2|30
Default=5
Help=text431

Label=text432
Entry=Sleep,AlarmStartFile
Type=YesNo
Default=0
Help=text433

Label=text434
Entry=Sleep,AlarmStartFilename
Type=File|1|0|.mp3|.mp2|.wav|.ogg
Default=
DependsEntry=Sleep,AlarmStartFile
DependsType=num|0|=|1
Help=text435

Label=text436
Entry=Sleep,AlarmStartFileRepeat
Type=YesNo
Default=0
Help=text437
DependsEntry=Sleep,AlarmStartFile
DependsType=num|0|=|1

Label=text438
Description=text439
Entry=Sleep,AlarmStartPlaylist
Type=YesNo
Default=1
Help=text440

Label=text441
Entry=Sleep,Snooze
Type=Range|2|60
Default=5
Help=text442

Label=text443
Entry=Sleep,VolNoChange
Type=YesNo
Default=1
Description=text444

Label=text445
Description=text446
Entry=Sleep,Volume
Type=Slider|0|255
Default=128
DependsEntry=Sleep,VolNoChange
DependsType=num|1|=|0
Help=text447

Label=text448
Entry=Sleep,IncreaseVolume
Type=YesNo
Default=0
Help=text449

Label=text184
Entry=Sleep,RelPreamp
Description=text470
Type=Slider|0|255
Default=230
Help=text471


;------------------------------------------------------------------------------------------------------------


[Extras]
Instructions=text480

Label=text122
Type=Sub|Logfile
Description=text123

Label=text576
Entry=Remote,WriteTrackInfos
Type=YesNo
Default=1
Description=text576
Help=text577

Label=text124
Type=Sub|Paths
Description=text125



; Shuffle/Repeat
;----------------

[ShuffRep]

Instructions=text156

Label=text256
Entry=Settings,RepeatTrackMult
Type=YesNo
Default=0
Help=text257

Label=text258
Entry=Settings,ContinueShuffle
Type=YesNo
Default=0
Help=text259

Label=text230
Description=text231
Entry=Settings,ShufflePM
Type=SelData|text518=10|text232=0|text233=1
Default=10
Help=text234

Label=text235
Entry=Settings,RepeatPM
Type=SelData|text518=10|text236=0|text237=2|text238=3|text239=5
Default=10
Help=text240

Label=text241
Entry=Settings,ShuffleCM
Type=SelData|text518=10|text242=0|text243=1|text244=2|text245=3|text246=4
Default=10
Help=text247

Label=text248
Entry=Settings,RepeatCM
Type=SelData|text518=10|text249=0|text250=2|text251=1|text252=4|text253=3|text254=5
Default=10
Help=text255

Label=text260
Description=text261
Entry=Settings,ShAllMaxFiles
Type=Range|50|2000|10
Default=200
Help=text262

Label=text263
Entry=Settings,ShAllMaxPaths
Type=Range|5|500|5
Default=20
Help=text264

Label=text214
Description=text215
Entry=Settings,DefaultSorting
Type=SelData|text216=0|text217=1|text218=2|text219=3|text220=4|text221=5|text222=6|text223=7|text224=8|text225=9|text226=10|text227=11|text228=12|text528=13|text529=14
Default=0
Help=text229

; Log file
;----------

[Logfile]

Instructions = text450

Label=text403
Entry=Log,Active
Type=YesNo
Default=0

Label=text404
Entry=Log,Mode
Type=SelData|text405=0|text406=1
Default=1
Help=text407
DependsEntry=Log,Active
DependsType=num|0|=|1

Label=text408
Entry=Log,Filename
Type=File|0|1
Default=\My Documents\mplog.txt
Help=text409
DependsEntry=Log,Active
DependsType=num|0|=|1

Label=text410
Entry=Log,Contents
Type=TextBox
Default=0.000000ile^NL^track{ - artist}{ - album}
Help=text411
DependsEntry=Log,Active
DependsType=num|0|=|1

Label=text412
Description=text413
Entry=Log,DelStop
Type=YesNo
Default=0
DependsEntry=Log,Active
DependsType=num|0|=|1

Label=text414
Description=text415
Entry=Log,DelStart
Type=YesNo
Default=1
DependsEntry=Log,Active
DependsType=num|0|=|1

Label=text416
Description=text417
Entry=Log,DelExit
Type=YesNo
Default=0
DependsEntry=Log,Active
DependsType=num|0|=|1

; paths
;-------

[Paths]

Instructions = text451

Label=text418
Description=text419
Entry=Paths,Skins
Type=Directory|0|text453
Default=
Help=text420

Label=text421
Description=text422
Entry=Paths,GSPlugIns
Type=Directory|0|text455
Default=
Help=text423

Label=text424
Description=text425
Entry=Paths,Favorites
Type=Directory|0|text453
Default=
Help=text426

Label=text427
Description=text428
Entry=Settings,PreCopyPath
Type=Directory|0|text454
DependsEntry=Settings,PreCopy
DependsType=num|0|=|1
Help=text429

